gd_error(3)

NAME
gd_error — report a GetData library error

SYNOPSIS
#include <getdata.h>

int gd_error(const DIRFILE *dirfile);

DESCRIPTION
The gd_error() function returns the numeric dirfile error associated with the dirfile dirfile which is set by many GetData library functions.

The dirfile argument should point to a DIRFILE object previously created by a call to gd_open(3).

A textual description of the error may be obtained by calling gd_error_string(3).

RETURN VALUE
The gd_error() function always returns the dirfile error corresponding to the error state of the last library call on the supplied DIRFILE object.

SEE ALSO
gd_open(3), gd_error_string(3)